

reiserfs() is also dropping inode_setattr() retvals on the floor.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiserfs/inode.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/reiserfs/inode.c~reiserfs_setattr-retval-fix fs/reiserfs/inode.c
--- 25/fs/reiserfs/inode.c~reiserfs_setattr-retval-fix	2004-06-26 14:39:37.612995640 -0700
+++ 25-akpm/fs/reiserfs/inode.c	2004-06-26 14:39:55.403291104 -0700
@@ -2695,7 +2695,7 @@ int reiserfs_setattr(struct dentry *dent
                     error = DQUOT_TRANSFER(inode, attr) ? -EDQUOT : 0;
         }
         if (!error)
-            inode_setattr(inode, attr) ;
+            error = inode_setattr(inode, attr) ;
     }
 
 
_
